Bug 701815 - Review Request: vo-amrwbenc - VisualOn AMR-WB encoder library
Review Request: vo-amrwbenc - VisualOn AMR-WB encoder library
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2011-05-03 19:43 EDT by PRABIN KUMAR DATTA
Modified: 2011-05-09 11:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 11:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PRABIN KUMAR DATTA 2011-05-03 19:43:12 EDT
Spec URL: http://prabindatta.fedorapeople.org/SPECS/vo-amrwbenc.spec 
SRPM URL: http://prabindatta.fedorapeople.org/SRPMS/vo-amrwbenc-0.1.0-1.fc14.src.rpm
Description: 
This library contains an encoder implementation of the Adaptive 
Multi Rate Wideband (AMR-WB) audio codec. The library is based 
on a codec implementation by VisualOn as part of the Stagefright 
framework from the Google Android project.
Comment 1 PRABIN KUMAR DATTA 2011-05-03 19:44:00 EDT
Koji Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3048779
Comment 2 Mohamed El Morabity 2011-05-03 19:59:25 EDT
Isn't AMR-WB patented?
   http://www.ecplaza.net/news/0/27878/voiceage_announces_the.html
This may be a FE-LEGAL issue.
Comment 3 PRABIN KUMAR DATTA 2011-05-03 21:48:48 EDT
Like you I was also little bit confused at the beginning.
After Googling a little bit, I found that AMR-BW/G.722.2 is patent under VoiceAge.
vo-amrbw is created by VisualOn. Also, it is clearly written that "The library is based on a codec implementation by VisualOn, part of the Stagefright framework from the Google Android project."

Thou, if you (or anyone else) are sure about patent thing kindly inform me.
Comment 4 PRABIN KUMAR DATTA 2011-05-08 17:22:03 EDT
Upstream Comment on FE-Legal issue:

vo-aacenc is one library implementing an AAC encoder, libfaac
is another. The patents don't cover any particular implementation -
they're essential to implementing the standard and thus cover all
implementations.

So there can not be any implementations of AAC (nor AMR-WB) that isn't
covered by patents.

Copyrightwise, however, they are proper opensource, contrary to some
earlier AAC and AMR-WB libraries, which were either totally
unredistributable (libamr) or that have dubious origin and thus aren't
considered properly redistributable either.
Comment 5 PRABIN KUMAR DATTA 2011-05-09 11:43:42 EDT
Submitted in rpmfusion:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=1741

Note You need to log in before you can comment on or make changes to this bug.